package cn.reghao.tnb.content.app.mall.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.content.app.mall.model.po.Product;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author reghao
 * @date 2024-04-16 10:56:38
 */
@Mapper
public interface ProductMapper extends BaseMapper<Product> {
    void updateStockMinus(@Param("itemId") long itemId, @Param("num") int num);
    void updateStockPlus(@Param("itemId") long itemId, @Param("num") int num);

    Product findByItemId(long itemId);
}
